List models

GET/v1/models

List models available through Token360.

The response uses the OpenAI-compatible model list shape. Use the returned id as the model value in compatible endpoints such as chat completions, image generation, video generation, audio, and batch jobs.

Account-specific prices are not in this list. Call Get model pricing.

Authentication

No authentication is required. API keys sent as Authorization: Bearer ... are accepted but not required.

Query Parameters

currentinteger

Page number.

sizeinteger

Page size.

sort_byenum<string>

Sort field. published_at uses model name ascending as the tie-breaker.

sort_orderenum<string>

Sort direction.

model_typestring

Filter by model type, such as LLM, IMAGE_GENERATION, VIDEO_GENERATION, or AUDIO.

keywordstring

Search by model name or display name.

namestring

Exact model name filter. Multiple names may be comma-separated.

tagsstring

Filter by one or more comma-separated tags.

input_typesstring

Filter by comma-separated input types, such as text,image,audio.

output_typesstring

Filter by comma-separated output types, such as text,image,video,audio.

publisher_namesstring

Filter by one or more publisher display names. May be comma-separated or sent multiple times.

Response

objectstring

Always list.

dataobject[]

List of model objects.

data.idstring

Model ID to pass as the model parameter.

data.objectstring

Always model.

data.createdinteger

Unix timestamp derived from the model publish or update time.

data.owned_bystring

Publisher or owner display name.

data.architectureobject

Model architecture and modality metadata.

data.canonical_slugstring

Model slug. Matches id.

data.context_lengthinteger|null

Maximum prompt plus completion tokens when derivable from the model API Usage schema.

data.default_parametersobject

Default request parameter values applied or recommended for this model when available.

data.parameter_schemaobject

Supported request parameter metadata keyed by supported parameter name.

data.descriptionstring

Model description.

data.expiration_datestring|null

Expiration date when available; otherwise null.

data.hugging_face_idstring|null

Hugging Face model identifier when available; otherwise null.

data.knowledge_cutoffstring|null

Training-data cutoff date when available; otherwise null.

data.linksobject

Related model resources.

data.namestring

Display name.

data.per_request_limitsobject

Per-request limits derived from the normalized API Usage schema.

data.supported_parametersstring[]

Supported request parameter names from the same normalized API Usage schema shown on the model detail page.

data.supported_voicesstring[]|null

Supported voice IDs for voice models when available; otherwise null.

Request

Shell
1curl https://api.token360.ai/v1/models

Response

JSON
1{
2  "object": "list",
3  "data": [
4    {
5      "architecture": {
6        "input_modalities": ["text", "image", "video"],
7        "output_modalities": ["text"],
8        "tokenizer": null
9      },
10      "canonical_slug": "qwen3.5-flash",
11      "context_length": null,
12      "created": 1780324099,
13      "default_parameters": {
14        "frequency_penalty": 0,
15        "presence_penalty": 0,
16        "temperature": 0.7,
17        "top_p": 1
18      },
19      "description": "",
20      "expiration_date": null,
21      "hugging_face_id": null,
22      "id": "qwen3.5-flash",
23      "knowledge_cutoff": null,
24      "links": {
25        "details": "/models/qwen3.5-flash"
26      },
27      "name": "Qwen3.5 Flash",
28      "object": "model",
29      "owned_by": "Qwen",
30      "per_request_limits": {
31        "completion_tokens": 4096,
32        "prompt_tokens": null
33      },
34      "supported_parameters": [
35        "temperature",
36        "top_p",
37        "max_completion_tokens",
38        "presence_penalty",
39        "frequency_penalty"
40      ],
41      "parameter_schema": {
42        "temperature": {
43          "type": "number",
44          "options": null,
45          "default": 0.7,
46          "min": 0,
47          "max": 2
48        },
49        "top_p": {
50          "type": "number",
51          "options": null,
52          "default": 1,
53          "min": 0,
54          "max": 1
55        },
56        "max_completion_tokens": {
57          "type": "number",
58          "options": null,
59          "default": 4096,
60          "min": 1,
61          "max": 65536
62        },
63        "presence_penalty": {
64          "type": "number",
65          "options": null,
66          "default": 0,
67          "min": -2,
68          "max": 2
69        },
70        "frequency_penalty": {
71          "type": "number",
72          "options": null,
73          "default": 0,
74          "min": -2,
75          "max": 2
76        }
77      },
78      "supported_voices": null
79    }
80  ]
81}
Was this page helpful?
List models · Token360